var customFavoritesCounter = 1;

function favoriteMenuItemClicked(itemID)
{
	parent.MainWindowController.favoriteMenuItemClicked_(itemID);
} 

function getNumberSubmenus(menuID)
{
	item=$('#'+menuID);
	if(item == null) return -1;
	if(item.is('a'))
	{
		item=item.parents().first();
		item=item.children('ul').first();
	}
	if(item == null)
		return -1;
	return item.children().length;	
}

/*
 *	itemID - the game object ID
 */
function addCliclableMenuItem(parentID, itemID, title)
{
	customFavoritesCounter++;
	var newHTMLItemID = "" + customFavoritesCounter;
	return addMenuItem(parentID, newHTMLItemID, title, itemID);
}

function addMenuItem(parentID, newHTMLItemID, title, itemID)
{
	var parentItem = $('#' + parentID);
	var cliclableID = "";
	var itemExists = $('#' + newHTMLItemID);
	if(itemExists != null)
	{
		if(itemExists.is('a'))
			itemExists.parents().first().remove();
		itemExists.remove();
	}
	if(itemID != "" && itemID != null)
	{
		cliclableID = "onClick='favoriteMenuItemClicked(\"" + itemID + "\")'";
	}
	if(parentItem != null)
	{		
		if(parentItem.is('li') === false && parentItem.is('ul') === false)
		{
			parentItem = parentItem.parents().first();
			if(parentItem.is('li'))
			{
				var tmp = parentItem.children('ul').first();
				if(tmp.is('ul')) parentItem = tmp;				
			}
		}
					
		if(parentItem.is('li') !== false || parentItem.is('ul') !== false)
		{
			if(parentItem.is('li'))
				parentItem.append('<ul><li><a href="#" id="' + newHTMLItemID + '" ' + cliclableID + '>' + title + '</a></li></ul>');		
			else
				parentItem.append('<li><a href="#" id="' + newHTMLItemID + '" ' + cliclableID + '>' + title + '</a></li>');		
		}

	}
}

function clearMenuItems(menuID)
{
	$("#" + menuID).parents().first().html($("#" + menuID).outerHTML);
}

function resetFavoritesMenu()
{
	$('#nav').html('');
	//$('#nav').html('<li><a href="#">Favorites</a><ul id="favoritesRootItem"></ul></li>');					
	addMenuItem('nav', 'favoritesRootItem', 'Favorites');
}

function addStaticFavoriteMenuItems()
{
//$("#" + tableID).append("<tr id='" + uid + "' onDblClick='searchItemSelected(this.id, \"" + type + "\")'>" + rowData + "</tr>");    
	addMenuItem('favoritesRootItem', 'favoritesPlayersMenu', 'Players');
	addMenuItem('favoritesRootItem', 'favoritesStaffMenu', 'Staff');
	addMenuItem('favoritesRootItem', 'favoritesClubsMenu', 'Clubs');
	addMenuItem('favoritesRootItem', 'favoritesNationsMenu', 'Nations');
}